> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all balance transactions

> Returns a list of balance transactions. They are returned sorted by creation date, with the most recent transactions appearing first.



## OpenAPI

````yaml openapi-payments.json GET /v1/balance_transactions
openapi: 3.1.0
info:
  title: Yorlet Payments API
  description: APIs for managing transactions, payment initiations, and external accounts.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/balance_transactions:
    get:
      tags:
        - Balance Transactions
      summary: List all balance transactions
      description: >-
        Returns a list of balance transactions. They are returned sorted by
        creation date, with the most recent transactions appearing first.
      operationId: balance_transactions_list
      responses:
        '200':
          description: >-
            A object with a data property that contains an array of balance
            transactions.
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: number
                    description: Total number of items in the list.
                    example: 1
                  has_more:
                    type: boolean
                    description: Whether more items are available.
                    example: false
                  object:
                    type: string
                    enum:
                      - list
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the object.
                        created:
                          type: number
                          description: >-
                            Time at which the object was created. Measured in
                            seconds since the Unix epoch.
                        account:
                          type: string
                          description: >-
                            The account that the object belongs to. Only
                            returned if the request is made with a valid
                            Yorlet-Context header.
                        deleted:
                          type: boolean
                          default: false
                          description: Only returned if the object has been deleted.
                        object:
                          type: string
                          enum:
                            - balance_transaction
                        amount:
                          type: integer
                          description: >-
                            Gross amount of the transaction, in the smallest
                            currency unit (e.g. cents).
                        available_on:
                          type:
                            - integer
                            - 'null'
                          description: >-
                            The date on which the transaction balance becomes
                            available in the Yorlet balance.
                        currency:
                          type: string
                          description: >-
                            Three-letter ISO currency code, in lowercase. Must
                            be a supported currency.
                        description:
                          type:
                            - string
                            - 'null'
                          description: >-
                            An arbitrary string attached to the object. Often
                            useful for displaying to users.
                        fee:
                          type: integer
                          description: The fees paid for this transaction.
                        fee_details:
                          type: array
                          items:
                            type: object
                            properties:
                              amount:
                                type: integer
                                description: >-
                                  The amount of the fee, in the smallest
                                  currency unit.
                              description:
                                type: string
                                description: A description of the fee.
                              tax:
                                type: integer
                                description: The amount of tax included in the fee.
                              tax_percent:
                                type: number
                                description: The tax percentage applied to the fee.
                              type:
                                type: string
                                description: The type of the fee.
                            required:
                              - amount
                              - description
                              - tax
                              - tax_percent
                              - type
                          description: A breakdown of the fees applied to this transaction.
                        net:
                          type: integer
                          description: >-
                            Net amount of the transaction, in the smallest
                            currency unit.
                        payout:
                          type:
                            - string
                            - 'null'
                          description: >-
                            The ID of the payout the transaction is associated
                            with.
                        source:
                          type:
                            - string
                            - 'null'
                          description: >-
                            The Yorlet object the transaction is associated
                            with.
                        source_object:
                          type:
                            - string
                            - 'null'
                          description: >-
                            The type of source object the transaction is
                            associated with.
                        type:
                          type: string
                          enum:
                            - adjustment
                            - charge
                            - fee
                            - payment
                            - payout
                            - refund
                            - transfer
                          description: The type of the balance transaction.
                      required:
                        - id
                        - created
                        - object
                        - amount
                        - available_on
                        - currency
                        - description
                        - fee
                        - fee_details
                        - net
                        - payout
                        - source
                        - source_object
                        - type
                required:
                  - count
                  - has_more
                  - object
                  - data
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````